ranges::at_fn Struct Reference
Range

## Description

Checked indexed range access.

## Public Member Functions

template<typename Rng >
constexpr auto | operator() (Rng &&rng, range_difference_t< Rng > n) const -> range_reference_t< Rng > requires random_access_range< Rng > &&sized_range< Rng > &&forwarding_range_< Rng >

## Member Function Documentation

## operator()()

template<typename Rng >

constexpr auto ranges::at_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | n
| ) |  | const -> range_reference_t<Rng> requires random_access_range<Rng> && sized_range<Rng> && forwarding_range_<Rng>

Returns
  `begin(rng)[n]`